GUI error when launching

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

GUI error when launching

Jack Crutchfield
Can anybody help with this error when trying to launch the GRASS GUI?

Starting GRASS ...
Traceback (most recent call last):
   File
"/Applications/GRASS-6.4.app/Contents/MacOS/etc/wxpython/gis_set.py",
line 35, in <module>
     from gui_modules import globalvar
   File
"/Applications/GRASS-6.4.app/Contents/MacOS/etc/wxpython/gui_modules/globalvar.py",
line 76, in <module>
     import wx
   File
"/Applications/GRASS-6.4.app/Contents/MacOS/etc/python/wx/__init__.py",
line 45, in <module>
     from wx._core import *
   File
"/Applications/GRASS-6.4.app/Contents/MacOS/etc/python/wx/_core.py",
line 4, in <module>
     import _core_
ImportError:
dlopen(/Applications/GRASS-6.4.app/Contents/MacOS/etc/python/wx/_core_.so,
2): Library not loaded:
/Library/Frameworks/UnixImageIO.framework/Versions/D/UnixImageIO
   Referenced from:
/Applications/GRASS-6.4.app/Contents/MacOS/lib/libwx_macud-2.8.0.dylib
   Reason: image not found
Error in GUI startup. If necessary, please
report this error to the GRASS developers.
Switching to text mode now.
Hit RETURN to continue...

Thanks,
Jack
_______________________________________________
grass-gui mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/grass-gui
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: GUI error when launching

Markus Neteler
On Thu, Sep 27, 2012 at 3:39 AM, Jack Crutchfield <[hidden email]> wrote:
> Can anybody help with this error when trying to launch the GRASS GUI?
>
> Starting GRASS ...
...
> dlopen(/Applications/GRASS-6.4.app/Contents/MacOS/etc/python/wx/_core_.so,
> 2): Library not loaded:
> /Library/Frameworks/UnixImageIO.framework/Versions/D/UnixImageIO
>   Referenced from:
> /Applications/GRASS-6.4.app/Contents/MacOS/lib/libwx_macud-2.8.0.dylib
>   Reason: image not found

 Make sure you install the frameworks as stated in the readme and on the
 download page.

Markus
_______________________________________________
grass-gui mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/grass-gui
Loading...